TAAS - Feature #163

Supplier Reconciliation
02/25/2023 10:33 AM - Anil KV

Status: Reopen Bugs Start date: 05/25/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Reconciliation

Description

Coding Supplier Reconciliation

History

#1 - 05/23/2023 11:38 AM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 05/23/2023 11:39 AM - Junaid M
- Status changed from Open to New
- Assignee changed from Junaid M to Aparna Mathew

- % Done changed from 10 to 0

#3 - 05/24/2023 04:40 PM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 05/25/2023 10:23 AM - Aparna Mathew

- Status changed from Open to Coding Started

- Start date changed from 02/25/2023 to 05/25/2023
- % Done changed from 10 to 40

#5 - 05/27/2023 10:15 AM - Junaid M
- File SQL-SupReco-OtherTab-Query.sql added

#6 - 07/25/2023 11:35 AM - Aparna Mathew
- Status changed from Coding Started to Patrticialy Coding Done

#7 - 09/04/2023 12:06 PM - Junaid M

Gui Changes ****
1-Add View Posting Button and Pop-up

*Need Posting (Dr, Cr Ticket Amounts)
*Insert In Transaction Reference Table

#8 - 09/11/2023 01:14 PM - Junaid M
1)Search Query

SELECT

CASE WHEN tr.dat_transaction < CAST('2023-12-01"

TE

05/03/2025

AS DATE) THEN 1 ELSE 0 END AS sin_is_previous,

—-— FROM DA
tr.vhr_sys_module_name,
tr.fk_documents_id,

CASE WHEN tr.dbl_base_cur_debit > 0 THEN tr.dbl_base_cur_outstanding ELSE 0.00 END AS dbl_outstanding_debi

t, ——dynamic column

CASE WHEN tr.dbl_base_cur_credit > 0 THEN tr.dbl_base_cur_outstanding ELSE 0.00 END AS dbl_outstanding_cre

dit,--dynamic column

CAST (tr.jsn_related_data—->>'binAirlineMasterId' AS VARCHAR) AS bin_airline_master_id,

CAST (tr.Jjsn_related_data->>'strAirlineNumCode' AS VARCHAR) AS vhr_airline_num_code,
CAST (tr.jsn_related_data—->>'strAirlineCharCode' AS VARCHAR) AS vhr_airline_char_code,
CAST (tr.jsn_related_data->>'strAirlineName' AS VARCHAR) AS vhr_airlinename,

CAST (tr.jsn_related_data->>'strSuppDocNo' AS VARCHAR) AS vhr_supp_doc_no,

CAST (tr.jsn_related_data—->>'datIssueOrCancel' AS VARCHAR) AS dat_issue_or_cancel,
CAST (tr.jsn_related_data—->>'strSector' AS VARCHAR) AS vhr_sector,

CAST (tr.Jjsn_related_data->>'strSuppDocType' AS VARCHAR) AS vhr_supp_doc_type,

tr.txt_narration
FROM transaction.tbl_transaction AS tr
LEFT JOIN document.tbl_documents AS doc
ON tr.fk_documents_id = doc.pk_documents_id
WHERE tr.sin_transaction_status = 1 AND tr. sin_posting_status = 1 AND tr.
AND tr.dbl_base_cur_outstanding > 0
AND tr.fk_supp_doc_no_id IS NOT NULL
AND tr.fk_ledger_id = 59
——...Remining ui filter where conditions

2) Load Doc

3) Posting - Total Amount
Supplier * Dr
Supplier * Cr

4) Internal Matching the Doc Dr and Selected docs and Inter Matching Selected Docs Dr and Cr
-Pending

#9 - 09/11/2023 02:14 PM - Aparna Mathew
- Status changed from Particialy Coding Done to Coding Started

#10 - 01/08/2024 09:38 AM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done

#11 - 01/09/2024 03:00 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.REMOVE EDIT PEN FROM TOTAL

2.SHOW PREVIOUS DATA OF DOCUMENTS

3.NAN IN FARE FIELD WHILE ADDING ALPHABETS

4.DONT SHOW EDIT BUTTON IN THOSE FARE FIELDS HAVE NO VALUE
5.MISSING DECIMAL VALUE ADDED IN STATMENT FARE FIELD ON POSTING

#12 - 01/22/2024 12:38 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 01/24/2024 11:10 AM - unnikannan S
TESTING DONE

#14 - 01/24/2024 11:11 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING REFUND DOC FROM LIST

05/03/2025

sin_document_status
#15 - 02/06/2024 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 02/08/2024 11:17 AM - unnikannan S
TESTING DONE

#17 - 02/08/2024 11:18 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR ALL DATA RELATED TO THE DOCUMENT WHILE DELETING

#18 - 03/05/2024 10:04 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#19 - 03/05/2024 12:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD NO DATA FOUND MESSAGE
2.NAN IN FARE FIELD
3.CLEAR RED STAR FROM DOC,DEPARTMENT FIELDS

#20 - 03/18/2024 06:43 PM - Aparna Mathew

- 53 = BSP/NON BSP Supplier Reco - Dr - Internal matched Debit or Credit Record
- 54 = BSP/NON BSP Supplier Reco - Cr - Internal matched Oposit Debit or Credit

Use Record Type

#21 - 04/05/2024 01:20 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 04/06/2024 04:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.CANT CHANGE BRANCH ON A SAVED RECO DOC

#23 - 04/13/2024 09:34 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 10/15/2024 12:02 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Internal matching not done.
2. Add print button and connect print.

05/03/2025
#25 - 10/23/2024 07:07 PM - Theja Ponon
- File clipboard-202410231905-2mwvj.png added

ISSUE FOUND

1. Up on saving reconciliation with only other debit other credit, then when reloading the reconciled document all the fields are zero.
2. Add print button and connect print.
3.issued tickets are not showing in the issue tab but shows in the master tab

Supplier Reconciliation z) e- ) @ veu - [ 2

Period* | 23/10/2024 [ ] 23/10/2024 o 6B Branch® ' BROOT: Main ~

Supplier” | SUP0DG Supplier 1 QAR v Q Search -

Master Issued Cancelled Other

Doc No Date* | 23/1072024 <) Branch* | BROOT: Main v
Supplier* | SUP00G Supplie QAR v Department | DPOOT: Account v
Remarks Reference Number

%
Created By: Period:  23/10/2024 - 23/10/2024
Modified By: Total Paic:

# Item System Statement Difference
Amount Count Amount Count Amount Count
1 Issued 1020.00 1 0.00 0 1020.00 1 ra
2 Cancelled 0.00 0 0.00 0 0.00 0 V
3 Other Debit 500.00 1 0.00 0 500.00 1 ra
4 Qther Credit 0.00 0 0.00 0 0.00 0 V
Total 520.00Cr 2 0.00 0 520.00Cr 2

4.on reloading the saved document other debit/credit field amount and count get doubled

#26 - 10/29/2024 09:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 11/21/2024 11:39 AM - Theja Ponon

- File clipboard-202411211137-cryzn.png added

- File clipboard-202411211138-dj7wc.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#28 - 11/21/2024 11:56 AM - Theja Ponon

- File clipboard-202411211153-rgug1.png added
- File clipboard-202411211153-bugtn.png added
- File clipboard-202411211153-xpum5.png added
- File clipboard-202411211153-ztcve.png added

ISSUE FOUND

1)TOTAL PAID IS EMPTY
TfaVVlSE Supplier Reconciliation 2l9-1=- Menuv_Q B-/-10

Period® | 2171172024 2171172024 Branch™ | BROO1: Main v

Supplier® | Spod Sarath QAR - Q Search

Master | Issued Cancelled Other

DocNe | SUR/DO1 Dat=" | 21/11/2024 @ a Branch* | BRODT: Main A4
Supplier* | 5ppg. Sarath QAR v Department | DPO0T: Account ~
i Remarks Reference Numbsr
rd
Crested By 2cdmin(Zf/71/2024 103 Pericd:  21/11/2024 - 21/11/2024
Modified By:  admin(21/11/ otal Paid:
3
T a E m
Iy #  Hem System Statement Difference
Amount Count Amount Count Amount Count
L 1 Issued 1500.00 1 1000.00 ] 500,00 1 Vs
2 Cancelled 000 o] 0.00 a 0.00 0 s
Other Dekit 000 o 0.00 0 000 0 s
4 Other Credit 000 o] 0.00 ] 0.00 0 Vs
Total 1500.00Cr 1 1000.00Cr o 500.00Cr 1

o0

2)ISSUE DATE IN ISSUED TAB IS NOT CORRECT

#29 - 11/21/2024 11:59 AM - Theja Ponon
- File deleted (clipboard-202411211153-bugtn.png)

#30 - 11/21/2024 11:59 AM - Theja Ponon
- File deleted (clipboard-202411211153-xpum5.png)

#31 - 11/21/2024 04:02 PM - Theja Ponon
- File deleted (clipboard-202411211153-rgug1.png)

#32 - 11/21/2024 05:57 PM - Theja Ponon
- File deleted (clipboard-202411211153-ztcve.png)

#33 - 11/21/2024 06:03 PM - Arathy PS
- File clipboard-202411211802-gx5mg.png added

ISSUE FOUND

1)TOTAL PAID IS EMPTY
Supplier Reconciliation

Pariod”

2024 2171172024 Branch™ | BROO1T: Main

Supplier* | Sppa. QAR ~ Q Search
Master | Issued Cancelled Other
DecMe | sUR/DO1 Dat=® | 21/11/2024 @ a Branch* | BRODT: Main ~
Supplier” | 5po4 QAR v Depatment | DPQQ1: Account ~
E Remarks Reference Number
#
Crested By:  admin{21/11/2024 10:34 AM) Period:  21/11/2024 - 21/11/2024 B Print
Modified Bz admin{21/11/2024 11:16 AM)[2] [otal aic:
3
T Q & O
Iy #  Hem System Statement Difference
Amount Count Amount Count Amount Count
. 1 Issued 150000 1 1000.00 0 500.00
2 Cancelled 000 0 0.00 a 000 [
3 Other Datit 000 0 000 0 000
4 Ovher Credit 000 0 0.00 0 000 0
Total 1500.00Cr 1 1000.00Cr 0 500.00Cr 1

DONE -2)ISSUE DATE IN ISSUED TAB IS NOT CORRECT

DONE -3) On updating after changing the Roe of the supplier.

PODOT: jsnSpOutes: {'sinSlC: " -1, "strSqlC ode” : "ERROR, "strSqlC : Save Failed", "strSqiC Type" : "DATABASE SYSTEM_ERROR”, "strSqiCustomErrorCode” : null, * :“invalid transaction termination”, X
g " ionHint" : "PL/pgSQ function sp_restore_revoked_settiements(jsonb[] sonbjsanbi]) line 56 at ROLLBACK\nSQL statement \"CALL sp._restore_revoked_ j ol tails, jsnSqlRes)\"\nPL/pgSQL function
sp_insert transaction_base(jsonbbigint) line 295 at CALL\nSQL statement \'CALL sp insert transaction_base(j: binDocumentL , JsnSpOUtRes)\"\nPL/pgSQL function sp_insert_or_update supplier_recofjsenbjsonb,jsonbl) line 119 at CALL', "binSqlPK” : 43, "binSqlLogPk” : 0, “strSqiDocNa™
null, *dctSalOtherData" ; {"binDocumentld’s *43", *strDocumentNo; "SUR/001", "binSupplierRecoMasterld 17}
Period”™ | 21/11/2024 21/11/2024 Branch” | BROO1: Main
Supplier” | SUP003 ASP SUP usD v Q Search
Master Issued Cancelled  Other
DocNe | SUR/001 Date” | 21/11/2004 a Branch™ | BROD1: Main
Supplier | SUPODZ ASPSUP usD Department | DPOO1: Account
Remarks Referance Number
4
Created By:  admin(21/11/2024 05:10 PM) Pericd:  21/11/2024 - 21/11/2024
Modified By: Total Paid:
er Re T a =}
# | ltem system Statement Difference
Amount Count Amount Count Amount Count
1 Issued 1000.00 1 100000 0 000 1
2 Cancelled 000 0 000 o 000 0
3 | Other Debit 000 0 000 0 000 0
4 Other Credit 0.00 o 0.00 o 0.00 o
Total 1000.00Cr 1 1000.00Cr [ 0.00 1

#34 - 11/25/2024 11:33 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 11/27/2024 07:10 PM - unnikannan S
- File clipboard-202411271910-tbpyr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#36 - 11/30/2024 12:11 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 11/30/2024 12:10 PM - unnikannan S

05/03/2025
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#38 - 12/03/2024 10:53 PM - Aparna Mathew
Delete Pending (matching restoration is pending) DONE

NEW CHANGES DONE

1. Add a new column 'Current' and show the selected documents from other tabs there while the system column should show all datas on the ledger.
2)ADD FIELD FOR HOTEL FILTERING

3)IF HOTEL FILTERING APPLIED ONLY SHOW HOTEL AND PREVIOUS TABS UNDER ISSUED AND CANCEL TAB AND OTHER TAB SHOULD
BE HIDDEN

4)ADD PACKAGE

#39 - 12/07/2024 02:27 PM - Theja Ponon

- Status changed from Reopen Bugs to New Changes

#40 - 01/02/2025 03:26 PM - Arathy PS

- Assignee changed from Aparna Mathew to Vivekp V

#41 - 01/28/2025 04:09 PM - Arathy PS
- File clipboard-202501281609-izuxt.png added

- Status changed from New Changes to Reopen Bugs

Issue FIXED

1.Missing procedure.

42883: pracedure sp_delete_supplier_reconcilation_decument{bigint, integer, bigint, character varyingl], character varying, jsonbl],
unknown) does not exist

Delete Reason® | Delete Reason

[ Close W Delete

#42 - 02/04/2025 07:18 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#43 - 03/24/2025 03:51 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED
1)Current column not showing in he print

#44 - 03/24/2025 06:15 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 03/27/2025 05:57 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)Outstanding in posting is showing diffrerent when selecting single credit(sale) doc and multiple debit doc in reco

#46 - 04/04/2025 01:04 PM - Theja Ponon
- File clipboard-202504041301-vrl5s.png added

Issue FIXED

1)Reco is done after hotel wise filtering ,hotel name remove on saving the document
2)After saving all other tabs are showing (not only hotel) and selected data for reco is not showing after saving

Supplier Reconciliation 29~ | =~ Menu- _ Q @ /-8
VEL SoLuTioN PUT LT
Supplier Reconciliation has been Saved. X

N

Period” | 04/04/2025 04/04/2025 Branch™ | BROO1: Main e Q Search

. W Delete
Supplier” | sUPOOT Suppliet QAR v Hotel
& Posting

Master | Issued = Cancelled  Other N
i Attachment
Ticket | Hotel = Transfer Visa Other Package Previous

# Doc No Document Date Voucher Issue Date Hotel Pax Payable

No data

3)After saving reco selected data from all tabs moved to previous tab

#47 - 04/12/2025 02:08 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#48 - 04/28/2025 03:22 PM - Theja Ponon

- File clipboard-202504281517-xexwf.png added

- File clipboard-202504281520-tm9rg.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Supplier is not showing in master after searching including hotel field
clipboard-202504281517-xexwf.png
2)On saving
Supplier Reconciliation

Select ltems For Reconciliation. X

Period* | 28/04/2025 [ <] 30/04/2025 a0 Branch®  BROD1: Main A Q Search

Supplier* | SUPQDT Supplier QAR v Hotel | Q01 A-One Bangkak

Master Issued Cancelled

Dec No Date’ | 28/04/2025 I Eranch®  BROD1: Main >
Supplier” | sUPOD1 Supplier QAR v Department  DPOO1: Account v
Remarks Reference Number
Created By: ’ Period:  28/04/2025 - 30/04/2025
Modified By: Total Paid:  0.00
T Q 2 O
#  Item System Statement Current Difference
Amount Count Amount Count Amount Count Amount Count
1 Issued 1000.00 1 1000.00 0 1000.00 1 0.00 1 ra
2 Cancelled 1000.00 1 1000.00 0 1000.00 1 0.00 1 ra
3 Other Debit 0.00 0 0.00 0 0.00 0 0.00 0 ra
4 Other Credit 0.00 0 0.00 0 0.00 0 0.00 0 Va
Total 0.00 2 0.00 0 0.00 2 0.00 2
3)In posting amount in Base1 currency is wrong
Files
SQL-SupReco-OtherTab-Query.sql 980 Bytes 05/27/2023 Junaid M
clipboard-202410231905-2mwvj.png 143 KB 10/23/2024 Theja Ponon
clipboard-202411211137-cryzn.png 65.7 KB 11/21/2024 Theja Ponon
clipboard-202411211138-dj7wc.png 99.8 KB 11/21/2024 Theja Ponon
clipboard-202411211802-gx5mg.png 140 KB 11/21/2024 Arathy PS
clipboard-202411271910-tbpyr.png 126 KB 11/27/2024 unnikannan S
clipboard-202501281609-izuxt.png 111 KB 01/28/2025 Arathy PS
clipboard-202504041301-vrl5s.png 111 KB 04/04/2025 Theja Ponon
clipboard-202504281517-xexwf.png 0 Bytes 04/28/2025 Theja Ponon
clipboard-202504281520-tm9rg.png 96.5 KB 04/28/2025 Theja Ponon
